%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           rope
Version:        0.9.3
Release:        1%{?dist}
Summary:        Python refactoring library
Group:          Development/Libraries
License:        GPLv2
URL:            http://rope.sourceforge.net/
Source0:        http://pypi.python.org/packages/source/r/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel,python-setuptools

Requires:       python

%description
Rope is a python refactoring library. Some of the main features
include:
 * Rename everything!
 * Extract method/local variable
 * Move class/function/module/package/method
 * Inline method/local variable/parameter
 * Restructuring
 * Introduce factory
 * Change method signature
 * Transform module to package
 * Encapsulate field
 * Replace method with method object
 * And a few others

Additional refactoring Features:
 * Extracting similar statements in extract refactorings
 * Fixing imports when needed
 * Previewing refactorings
 * Undo/redo refactorings
 * Stopping refactorings
 * Cross-project refactorings
 * Basic implicit interfaces handling in rename and change signature
 * Mercurial, GIT, Darcs and SVN support in refactorings

Rope also helps integrate with IDE using:
 * Auto-completion
 * Definition location
 * Get pydoc
 * Find occurrences
 * Organize imports (remove unused and duplicate imports and sort them)
 * Generating python elements

%prep
%setup -q

%build
# tests are failing even upstream so don't run them now
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc COPYING README.txt
%{python_sitelib}/rope/
%{python_sitelib}/*.egg-info

%changelog
* Fri Oct 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.9.3-1
- Initial version of package
